Bug 1279043 - [abrt] gimp: _g_log_abort(): gimp-2.8 killed by SIGTRAP
[abrt] gimp: _g_log_abort(): gimp-2.8 killed by SIGTRAP
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e8356c9d07d732751ead20d44dc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-07 07:55 EST by Dmitry
Modified: 2016-12-20 10:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:29:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.62 KB, text/plain)
2015-11-07 07:55 EST, Dmitry
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-07 07:55 EST, Dmitry
no flags Details
File: core_backtrace (5.59 KB, text/plain)
2015-11-07 07:56 EST, Dmitry
no flags Details
File: dso_list (11.03 KB, text/plain)
2015-11-07 07:56 EST, Dmitry
no flags Details
File: environ (2.84 KB, text/plain)
2015-11-07 07:56 EST, Dmitry
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-07 07:56 EST, Dmitry
no flags Details
File: maps (56.85 KB, text/plain)
2015-11-07 07:56 EST, Dmitry
no flags Details
File: mountinfo (3.15 KB, text/plain)
2015-11-07 07:56 EST, Dmitry
no flags Details
File: open_fds (964 bytes, text/plain)
2015-11-07 07:56 EST, Dmitry
no flags Details
File: proc_pid_status (1015 bytes, text/plain)
2015-11-07 07:56 EST, Dmitry
no flags Details

  None (edit)
Description Dmitry 2015-11-07 07:55:50 EST
Description of problem:
1. Open "Edit" tab in GIMP
2. Choose "input device"
3. Choose "Network Tablet"
4. Change mode "screen" or "disabled" to "Window"

Version-Release number of selected component:
gimp-2.8.14-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gimp-2.8
crash_function: _g_log_abort
executable:     /usr/bin/gimp-2.8
global_pid:     18468
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 _g_log_abort at gmessages.c:324
 #8 XQueryPointer at QuPntr.c:48
 #9 _gdk_windowing_window_at_pointer at gdkwindow-x11.c:3307
 #10 get_current_toplevel at gdkdisplay.c:943
 #11 switch_to_pointer_grab at gdkdisplay.c:1020
 #12 _gdk_display_pointer_grab_update at gdkdisplay.c:1106
 #13 _gdk_windowing_got_event at gdkwindow.c:10973
 #14 _gdk_events_queue at gdkevents-x11.c:2361
 #20 app_run at app.c:263
Comment 1 Dmitry 2015-11-07 07:55:56 EST
Created attachment 1090944 [details]
File: backtrace
Comment 2 Dmitry 2015-11-07 07:55:58 EST
Created attachment 1090945 [details]
File: cgroup
Comment 3 Dmitry 2015-11-07 07:56:00 EST
Created attachment 1090946 [details]
File: core_backtrace
Comment 4 Dmitry 2015-11-07 07:56:02 EST
Created attachment 1090947 [details]
File: dso_list
Comment 5 Dmitry 2015-11-07 07:56:04 EST
Created attachment 1090948 [details]
File: environ
Comment 6 Dmitry 2015-11-07 07:56:06 EST
Created attachment 1090949 [details]
File: limits
Comment 7 Dmitry 2015-11-07 07:56:09 EST
Created attachment 1090950 [details]
File: maps
Comment 8 Dmitry 2015-11-07 07:56:10 EST
Created attachment 1090951 [details]
File: mountinfo
Comment 9 Dmitry 2015-11-07 07:56:12 EST
Created attachment 1090952 [details]
File: open_fds
Comment 10 Dmitry 2015-11-07 07:56:14 EST
Created attachment 1090953 [details]
File: proc_pid_status
Comment 11 Nils Philippsen 2016-06-03 08:14:01 EDT
Sorry for the late reply.

The crash happens upon an XI_BadClass X Window System error in Gdk code, that the logging code aborted is probably a followup error (it may have tried to display the error in a window). Changing the component accordingly.
Comment 12 Fedora End Of Life 2016-11-24 08:10:06 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2016-12-20 10:29:12 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.